.header__buttons {
  display: flex;
  align-items: center;
  margin-left: 20px;
}
.header__buttons > * + * {
  margin-left: 1rem;
}

@media (min-width: 1200px) {
  .header__buttons {
    justify-content: space-between;
  }
}
@media (max-width: 1199px) {
  .header__buttons {
    justify-content: flex-end;
  }
}

.header__btn__search {
  display: flex;
  width: 1.5rem;
  height: 1.5rem;
  border: 0;
  padding: 0;
  background-color: transparent;
  justify-content: center;
  align-items: center;
  transition: transform 0.3s cubic-bezier(0.25, 1, 0.5, 1);
}

.header__btn__search svg {
  width: 100%;
  height: auto;
}

.header__btn__search svg path,
.header__btn__search svg circle {
  transition: stroke 0.3s ease;
}

html:not(.v-mobile) .header__btn__search:hover svg > * {
  stroke: var(--color-blue-100);
}
html:not(.v-mobile) .header__btn__search:hover {
  transform: scale(1.08);
}

.menu-burger {
  position: relative;
  display: block;

  flex: 0 0 1.5625rem;
  width: 1.5625rem;

  height: 1.125rem;
  border: unset;
  padding: unset;
  background-color: transparent;
  transition: transform 0.3s ease;

  min-width: 1.5625rem;
}

.menu-burger._opened {
  transform: rotate(225deg);
}

.menu-burger::before,
.menu-burger::after,
.menu-burger span {
  content: "";
  position: absolute;
  left: 0;
  display: block;
  width: 100%;
  height: 0.125rem;
  background-color: var(--color-black);
}

.menu-burger span {
  top: 50%;
  transition:
    color 0.3s ease,
    transform 0.3s;
}
.menu-burger._opened span {
  transform: scale(0);
}

.menu-burger::before {
  top: 0;
  transition:
    color 0.3s ease,
    transform 0.2s;
}
.menu-burger._opened::before {
  transform: translate(0, 9px);
}

.menu-burger::after {
  top: 100%;
  transition:
    color 0.3s ease,
    transform 0.2s;
}
.menu-burger._opened::after {
  transform: translate(0, -9px) rotate(90deg);
}

.menu-burger::before:focus-visible,
.menu-burger::after:focus-visible,
.menu-burger span:focus-visible {
  background-color: var(--color-blue-100);
}

html:not(.v-mobile) .menu-burger:hover span,
html:not(.v-mobile) .menu-burger:hover::before,
html:not(.v-mobile) .menu-burger:hover::after {
  background-color: var(--color-blue-100);
}

@media (min-width: 1200px) {
  .menu-burger {
    display: none;
  }
}

.menu__lang {
  position: relative;
}

.menu__lang ul {
  position: absolute;
  left: 0;
  top: 100%;
  width: 100%;
  padding-top: 0.3125rem;
  opacity: 0;
  visibility: hidden;
  transform: translateY(5px);
  transition: opacity 0.3s ease, visibility 0.3s ease, transform 0.4s cubic-bezier(0.25, 1, 0.5, 1);
}

.menu__lang:hover ul,
.menu__lang:focus-visible ul {
  opacity: 1;
  visibility: visible;
  transform: translateY(0);
}

.menu__lang .lang-item {
  display: flex;
  align-items: center;
  cursor: pointer;
  font-weight: 500;
  font-size: 0.75rem;
  line-height: 0.9375rem;
  color: var(--color-text-secondary);
  filter: brightness(1.1);
}

.menu__lang .lang-item > * + * {
  margin-left: 0.5em;
}

.menu__lang .lang-item a {
  display: flex;
  align-items: center;
  justify-content: center;
}

.menu__lang .lang-item a img {
  width: 100%;
  height: auto;
}

.menu__lang .lang-item svg {
  width: 0.375rem;
  height: auto;
  transition: transform 0.4s cubic-bezier(0.25, 1, 0.5, 1);
}

.menu__lang:hover svg,
.menu__lang:focus-visible svg {
  transform: rotate(180deg);
}

.menu__lang .lang-item-current img {
  max-width: 1.4375rem;
  width: 100%;
  height: auto;
}
